- Qt 5.3
- Qt Bluetooth
- C++ Classes
- QBluetoothHostInfo
- Qt 5.3.2 Reference Documentation

# QBluetoothHostInfo Class

The QBluetoothHostInfo class encapsulates the details of a local QBluetooth device. More...

Header: | `#include <QBluetoothHostInfo>`
qmake: | `QT += bluetooth`

- List of all members, including inherited members

## Public Functions

| QBluetoothHostInfo()
| QBluetoothHostInfo(const QBluetoothHostInfo & other)
| ~QBluetoothHostInfo()
QBluetoothAddress | address() const
QString | name() const
void | setAddress(const QBluetoothAddress & address)
void | setName(const QString & name)
QBluetoothHostInfo & | operator=(const QBluetoothHostInfo & other)

## Detailed Description

The QBluetoothHostInfo class encapsulates the details of a local QBluetooth device.

This class holds the name and address of a local Bluetooth device.

## Member Function Documentation

### QBluetoothHostInfo::QBluetoothHostInfo()

Constrcuts a null QBluetoothHostInfo object.

### QBluetoothHostInfo::QBluetoothHostInfo(const QBluetoothHostInfo & other)

Constrcuts a new QBluetoothHostInfo which is a copy of other.

### QBluetoothHostInfo::~QBluetoothHostInfo()

Destroys the QBluetoothHostInfo.

### QBluetoothAddress QBluetoothHostInfo::address() const

Returns the Bluetooth address as a QBluetoothAddress.

See also setAddress().

### QString QBluetoothHostInfo::name() const

Returns the user visible name of the host info object.

See also setName().

### void QBluetoothHostInfo::setAddress(const QBluetoothAddress & address)

Sets the Bluetooth address for this Bluetooth host info object.

See also address().

### void QBluetoothHostInfo::setName(const QString & name)

Sets the name of the host info object.

See also name().

### QBluetoothHostInfo & QBluetoothHostInfo::operator=(const QBluetoothHostInfo & other)

Assigns other to this QBluetoothHostInfo instance.